<?php
session_start();


date_default_timezone_set('America/Costa_Rica');

 $usu=$_SESSION['username'];
 

?> <html>
<head>

<title>Seguimiento </title>

<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
        
        <script src="../jquery/jquery-1.3.2.js" type="text/javascript"></script>
		<script src="../jquery/jquery.maskedinput-1.2.2.js" type="text/javascript"></script>
        	
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
		<script type="text/javascript" src="../funciones/validar.js"></script>
		
		
		
		
<script>
var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}

//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "formulario"

	
//funcion que gestiona el evento
function TelcaPulsada( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 	
			//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit		
		 agregar();	//eliminar este alert para uso normal
		 
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
	  
		 eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')

         return false
      }
   }
}

document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	
	
		function inicio() {
	
			
			
		  document.getElementById("dscseg").value="";
		  document.getElementById("dscseg").select();

						
			document.getElementById("form1").submit();
			document.getElementById("form_seguimientos").submit();
		}
			


function comprobar_fechas(){

/////////////////////////////////////////////  invierte la fecha a xxxx-xx-xx ////////////////////////////////	  
		  
	  var parts = document.getElementById("fecseg").value.split(/-/);
		parts.reverse();
		fechainicio=parts.join('-');
		

		
////////////////////////////////////////////// verifique que la fecha sea correcta ///////////////////////////	


 



	
//////////////////////////////////////  convierte la fecha a formato date para ser comparado /////////////////////////	

	 date1 = new Date(fechainicio);

		 
	var f1 = new Date();
	var f2 = new Date(date1); //31 de diciembre de 2015
	
	f1.setHours(0,0,0,0);
	f2.setHours(0,0,0,0);


////////////////////////////////////////// compara las fechas ///////////////////////////////////////////////////////
	
	if (fechainicio !=""){
		
		
		 var fechaArr = fechainicio.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
		
	// if (f2.getTime() > f1.getTime()){
	// alert("la Fecha no puede ser mayor a la Actual ");
	// document.getElementById("feclote").value="";
	// document.getElementById("feclote").select();
	// }

 }else{
  alert("Error fecha  incorrecta favor verifique");
  document.getElementById("fecseg").value="";
  document.getElementById("fecseg").select();
 }
 
	}
	

	
	// buscar();
	}
	
	
	
jQuery(function($){	
		$("#fecseg").mask("99-99-9999");
		});
		
		
		
		
	function agregar(){
	
	

			var cdgcli=document.getElementById("cdgcli").value;
			var dsccli=document.getElementById("dsccli").value;
			var dscseg=document.getElementById("dscseg").value;
			var fecseg=document.getElementById("fecseg").value;
			
			if (dscseg!=""){
			
			
			miPopup = window.open("guardar_seguimiento.php?cdgcli="+cdgcli+"&dsccli="+dsccli+"&dscseg="+dscseg+"&fecseg="+fecseg,"frame_datos6","width=900,height=90,scrollbars=yes");
			miPopup.focus();
			
				inicio();
				
				}
				
				
				
				else{
				
				alert("Atencion, Debe agregar una Decripcion al Seguimiento");
				 document.getElementById("dscseg").select();
				
				
				
				}
				
				
				
		}	
		

			function validarcliente(){
			var codigo=document.getElementById("cdgcli").value;
			miPopup = window.open("comprobarcliente.php?cdgcli="+codigo,"frame_datos1","width=700,height=80,scrollbars=yes");
		
			
		}	
			
		
</script>

</head>

<?php

 include ("../conexion.php"); 

date_default_timezone_set('America/Costa_Rica');

$cdgcli=$_GET["cdgcli"];



		$clientes = "SELECT * FROM web_0301 WHERE CDGCLI='$cdgcli' " ;
		$resultado_clientes= $mysqli->query($clientes);
		$dato_resultado_clientes= $resultado_clientes->fetch_array();
		$dsccli   =$dato_resultado_clientes['DSCCLI'];
		
		
		$fechahoy=date("Y-m-d");
		$hoy=date("d-m-Y");


$sel_fact="INSERT INTO pagos_clientestmp(numrec,fecrec) VALUE ('','$fechahoy')";
$mysqli->query($sel_fact);
$numrec=$mysqli-> insert_id ; 


$consulta1 = "DELETE FROM pagos_clientestmp  WHERE numrec !='$numrec'";
$mysqli->query($consulta1);


 ?>
<body  background="../Fondo/fondo.jpg"  onLoad="inicio()">
<br>
		
		
				<div align="center">
				
			 <div id="frmBusqueda" class="contenidoCliente">
				  
				  
				  
<form name="formulario" id="formulario" method="post" action="" target="" onSubmit="">

				<div id="formulario" class="contenidomodificar">

 <input name="numrec"  id="numrec" value="<?php echo $numrec?>" type="hidden">
  <input name="cdgcli"  id="cdgcli" value="<?php echo $cdgcli?>"   type="hidden">
   <input name="monabo"  id="monabo" value="0.00"    type="hidden"> 
   <input name="numfac"  id="numfac" value=""    type="hidden">  
   
   <input name="usu"  id="usu" value="<?php echo $usu?>"    type="hidden">     

<input id="posicion" name="posicion" type="hidden" value="" >  
<input id="aplnot" name="aplnot" type="hidden" value="1" >  
<input id="tazint" name="tazint" type="hidden" value="3" >  

  <table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>					
							
                        <tr>
                          <td>&nbsp;</td>
                          <td>&nbsp;</td>
                          <td width="30%">&nbsp;</td>
                          <td>&nbsp;</td>
                          <td>&nbsp;</td>
                          <td>&nbsp;</td>
                          <td width="24%">&nbsp;</td>
                          <td width="11%" rowspan="3"><p>&nbsp;</p>
                            <p>&nbsp;</p></td>
                      </tr>
                        <tr>	
						  <td width="1%">&nbsp;</td>
							<td width="7%">Cliente</td>
						  <td><div align="left" class="fuente8">
						    <input id="cdgcli2" name="cdgcli2" type="text" class="cajaGandre"  autocomplete="off" value="<?php echo $cdgcli?>"  disabled="disabled" onFocus="siguienteCampo ='dsccli';"  onChange="validarcliente()">
					      </div></td>
						  <td width="1%">&nbsp;</td>
						  <td width="11%">&nbsp;</td>
						  <td width="15%">&nbsp;</td>
                          <td width="24%">&nbsp;</td>
                        </tr>
						
						<tr>
						  <td>&nbsp;</td>
						  <td>Nombre</td>
						  <td><input id="dsccli" name="dsccli" type="text" class="cajaGrande"  autocomplete="off" value="<?php echo $dsccli?>"   disabled="disabled" onFocus="siguienteCampo ='cdgcli';"  ></td>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
		                  <td>&nbsp;</td>
					  </tr>
					  

					  <tr>
						  <td>&nbsp;</td>
						  <td>Seguimiento</td>
						  <td colspan="4"><input id="dscseg"  name="dscseg" type="text" class="cajaGrande" maxlength="100"  onFocus="siguienteCampo ='fecseg';"  disabled="disabled"  autocomplete="off"></td>
                          <td><input id="fecseg" name="fecseg" type="text" class="cajaMedia" value="<?php echo $hoy ?>"  autocomplete="off" style='text-align:center;'  placeholder="Fecha" onChange="comprobar_fechas()"  onFocus=" siguienteCampo ='fin';" ></td>
						   <td><img src="../img/Arrow-Down_32x32-32.png" t width="32" name="fin" id="fin" height="32" border="0" onClick="" onMouseOver="style.cursor=cursor" title="Agregar articulo"></td>
    </tr>
					</table>
					
					
					<iframe id="frame_datos6" name="frame_datos6" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos6" name="frame_datos6"></ilayer>
					</iframe>
					
					
					<iframe id="frame_datos1" name="frame_datos1" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos1" name="frame_datos1"></ilayer>
					</iframe>					
					
					
					
					
  
</form>
  <br>
  <br>
  
  


  <form id="form_seguimientos" name="form_seguimientos" method="post" action="frame_carga_seguimiento.php" target="frame_resultado2" >

  <input name="cdgcli"  id="cdgcli" value="<?php echo $cdgcli?>"   type="hidden">

				  <table width="100%" border=0  class="mensajeminimo" cellpadding=0 cellspacing=0  id="encabezado1">
		 
				    <tr class="cabeceraTabla">
						  <td width="79%" class="mensajeminimo">SEGUIMIENTO</td>
							<td width="11%" class="mensajeminimo">USUARIO</td>
							<td width="10%" class="mensajeminimo">FECHA</td>
								
					</tr>
			  </table>
			  
			  

                  </table>
			<iframe width="100%" height="150" id="frame_resultado2" name="frame_resultado2">
				<ilayer width="100%" height="250" id="frame_resultado2" name="frame_resultado2"></ilayer>
			</iframe>
                  	</table>

				</form>
  
  
  
  
  
  <form id="form1" name="form1" method="post" action="frame_nuevo_seguimiento.php" target="frame_resultado" >
  
   <input name="numrec"  id="numrec" value="<?php echo $numrec?>" type="hidden">
  <input name="cdgcli"  id="cdgcli" value="<?php echo $cdgcli?>"   type="hidden">
   <input name="monabo"  id="monabo" value="0.00"    type="hidden"> 
   <input name="numfac"  id="numfac" value=""    type="hidden">  
   
<input id="posicion" name="posicion" type="hidden" value="" >  
<input id="aplnot" name="aplnot" type="hidden" value="1" >  
<input id="tazint" name="tazint" type="hidden" value="3" >  

				  <table width="100%" border=0  class="mensajeminimo" cellpadding=0 cellspacing=0  id="encabezado2">
				    <tr class="cabeceraTabla">
						  <td width="13%">N. FACTURA</td>
							
							<td width="14%">FECHA</td>
							<td width="11%">SALDO</td>
							<td width="11%">INTERESES</td>
							<td width="14%">ABONO CAPITAL </td>
							<td width="13%">ABONO INTERES </td>

							<td width="12%">SALDO</td>							
						</tr>
			  </table>

                  </table>
			<iframe width="100%" height="150" id="frame_resultado" name="frame_resultado">
				<ilayer width="100%" height="250" id="frame_resultado" name="frame_resultado"></ilayer>
			</iframe>
                  	</table>
								  
				
				</form>



<input type="hidden" id="iniciopagina" name="iniciopagina">


<table width="98%" border="0">
  <tr>
    <td><div align="center">
      <img src="../img/Symbol-Delete_48x48-32.png" width="48" height="48" onClick="window.close()" border="0" onMouseOver="style.cursor=cursor">
    </div></td>
  </tr>
</table>

</body>

			 </div>
		  </div>
    </div>
	
	
	</div>
	
		</div>
</html>
